| Home | Libraries | People | FAQ | More

## Class invalid_bool_value

boost::program_options::invalid_bool_value

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class invalid_bool_value : public boost::program_options::validation_error {
    public:
      // construct/copy/destruct
      invalid_bool_value(const std::string &);
    };

## Description

Class thrown if there is an invalid bool value given

### `invalid_bool_value` public construct/copy/destruct

1.     invalid_bool_value(const std::string & value);